searchNodes=[{"doc":"A set of functions to check Tezos signed messages, derive a pkh from a pubkey, verify that a public key corresponds to a wallet address (public key hash).","ref":"Tezex.Crypto.html","title":"Tezex.Crypto","type":"module"},{"doc":"Verify that address is the public key hash of pubkey . Examples iex&gt; pubkey = &quot;sppk7aBerAEA6tv4wzg6FnK7i5YrGtEGFVvNjWhc2QX8bhzpouBVFSW&quot; iex&gt; Tezex.Crypto . check_address ( &quot;tz2BC83pvEAag6r2ZV7kPghNAbjFoiqhCvZx&quot; , pubkey ) :ok iex&gt; Tezex.Crypto . check_address ( &quot;tz1burnburnburnburnburnburnburjAYjjX&quot; , pubkey ) { :error , :address_mismatch } iex&gt; Tezex.Crypto . check_address ( &quot;tz2BC83pvEAag6r2ZV7kPghNAbjFoiqhCvZx&quot; , &quot;x&quot; &lt;&gt; pubkey ) { :error , :invalid_pubkey_format }","ref":"Tezex.Crypto.html#check_address/2","title":"Tezex.Crypto.check_address/2","type":"function"},{"doc":"Verify that address is the public key hash of pubkey and that signature is a valid signature for message signed with the private key corresponding to public key pubkey . Examples iex&gt; address = &quot;tz2BC83pvEAag6r2ZV7kPghNAbjFoiqhCvZx&quot; iex&gt; address_b = &quot;tz1burnburnburnburnburnburnburjAYjjX&quot; iex&gt; signature = &quot;spsig1ZNQaUKNERZSiEiNviqa5EAPkcNASXhfkXtxRatZTDZAnUB4Ra2Jus8b1oEpFnPx8Z6g28pd8vK3R8nPK29JDU5FiSLH5T&quot; iex&gt; message = &quot;05010000007154657a6f73205369676e6564204d6573736167653a207369676e206d6520696e20617320747a32424338337076454161673672325a56376b5067684e41626a466f69716843765a78206f6e206f626a6b742e636f6d20617420323032312d31302d30345431383a35393a31332e3939305a&quot; iex&gt; public_key = &quot;sppk7aBerAEA6tv4wzg6FnK7i5YrGtEGFVvNjWhc2QX8bhzpouBVFSW&quot; iex&gt; Tezex.Crypto . check_signature ( address , signature , message , public_key ) :ok iex&gt; Tezex.Crypto . check_signature ( address_b , signature , message , public_key ) { :error , :address_mismatch } iex&gt; Tezex.Crypto . check_signature ( address , signature , &quot;&quot; , public_key ) { :error , :bad_signature } iex&gt; Tezex.Crypto . check_signature ( address , &quot;x&quot; &lt;&gt; signature , &quot;&quot; , public_key ) { :error , :invalid_pubkey_format }","ref":"Tezex.Crypto.html#check_signature/4","title":"Tezex.Crypto.check_signature/4","type":"function"},{"doc":"Derive public key hash (Tezos wallet address) from public key Examples iex&gt; Tezex.Crypto . derive_address ( &quot;edpktsPhZ8weLEXqf4Fo5FS9Qx8ZuX4QpEBEwe63L747G8iDjTAF6w&quot; ) { :ok , &quot;tz1LKpeN8ZSSFNyTWiBNaE4u4sjaq7J1Vz2z&quot; } iex&gt; Tezex.Crypto . derive_address ( &quot;sppk7aBerAEA6tv4wzg6FnK7i5YrGtEGFVvNjWhc2QX8bhzpouBVFSW&quot; ) { :ok , &quot;tz2BC83pvEAag6r2ZV7kPghNAbjFoiqhCvZx&quot; } iex&gt; Tezex.Crypto . derive_address ( &quot;p2pk65yRxCX65k6qRPrbqGWvfW5JnLB1p3dn1oM5o9cyqLKPPhJaBMa&quot; ) { :ok , &quot;tz3bPFa6mGv8m4Ppn7w5KSDyAbEPwbJNpC9p&quot; } iex&gt; Tezex.Crypto . derive_address ( &quot;_p2pk65yRxCX65k6qRPrbqGWvfW5JnLB1p3dn1oM5o9cyqLKPPhJaBMa&quot; ) { :error , :invalid_pubkey_format } iex&gt; Tezex.Crypto . derive_address ( &quot;p2pk65yRxCX65k6&quot; ) { :error , :invalid_pubkey_format }","ref":"Tezex.Crypto.html#derive_address/1","title":"Tezex.Crypto.derive_address/1","type":"function"},{"doc":"Verify that signature is a valid signature for message signed with the private key corresponding to public key pubkey","ref":"Tezex.Crypto.html#verify_signature/3","title":"Tezex.Crypto.verify_signature/3","type":"function"},{"doc":"Base58Check encoding/decoding utils","ref":"Tezex.Crypto.Base58Check.html","title":"Tezex.Crypto.Base58Check","type":"module"},{"doc":"","ref":"Tezex.Crypto.Base58Check.html#decode58/1","title":"Tezex.Crypto.Base58Check.decode58/1","type":"function"},{"doc":"Decodes the given string. Examples iex&gt; Tezex.Crypto.Base58Check . decode58! ( &quot;1&quot; ) &lt;&lt; 0 &gt;&gt; iex&gt; Tezex.Crypto.Base58Check . decode58! ( &quot;z&quot; ) &lt;&lt; 57 &gt;&gt; iex&gt; Tezex.Crypto.Base58Check . decode58! ( &quot;Jf&quot; ) :binary . encode_unsigned ( 1024 ) iex&gt; Tezex.Crypto.Base58Check . decode58! ( &quot;BukQL&quot; ) :binary . encode_unsigned ( 123_456_789 )","ref":"Tezex.Crypto.Base58Check.html#decode58!/1","title":"Tezex.Crypto.Base58Check.decode58!/1","type":"function"},{"doc":"Prepends prefix to payload , computes its checksum (double sha256) and encodes in Base58. Examples iex&gt; Tezex.Crypto.Base58Check . encode ( &lt;&lt; 165 , 37 , 29 , 103 , 204 , 101 , 232 , 200 , 87 , 148 , 178 , 91 , 43 , 72 , 191 , 252 , 190 , 134 , 75 , 170 &gt;&gt; , &lt;&lt; 6 , 161 , 164 &gt;&gt; ) &quot;tz3bPFa6mGv8m4Ppn7w5KSDyAbEPwbJNpC9p&quot;","ref":"Tezex.Crypto.Base58Check.html#encode/2","title":"Tezex.Crypto.Base58Check.encode/2","type":"function"},{"doc":"Specific elliptic curve data. Parameters: :A [number]: angular coefficient of x in the curve equation. ex: 123 :B [number]: linear coefficient of x in the curve equation. ex: 123 :P [number]: curve modulo. ex: 12345 :N [number]: curve order. ex: 12345 :G [%Point]: EC Point corresponding to the public key. ex: %Point{x: 123, y: 456} :name [atom]: curve name. ex: :secp256k1","ref":"Tezex.Crypto.Curve.html","title":"Tezex.Crypto.Curve","type":"module"},{"doc":"","ref":"Tezex.Crypto.Curve.html#t:t/0","title":"Tezex.Crypto.Curve.t/0","type":"type"},{"doc":"Decode compressed public key and verify signatures using the Elliptic Curve Digital Signature Algorithm (ECDSA).","ref":"Tezex.Crypto.ECDSA.html","title":"Tezex.Crypto.ECDSA","type":"module"},{"doc":"","ref":"Tezex.Crypto.ECDSA.html#decode_point/2","title":"Tezex.Crypto.ECDSA.decode_point/2","type":"function"},{"doc":"Decodes a compressed public key to the EC public key it is representing on EC curve . Here is a sample curve , P-256 with curve parameters from https://neuromancer.sk/std/nist/ : % Curve { name : :prime256v1 , A : 0xFFFFFFFF00000001000000000000000000000000FFFFFFFFFFFFFFFFFFFFFFFC , B : 0x5AC635D8AA3A93E7B3EBBD55769886BC651D06B0CC53B0F63BCE3C3E27D2604B , P : 0xFFFFFFFF00000001000000000000000000000000FFFFFFFFFFFFFFFFFFFFFFFF , N : 0xFFFFFFFF00000000FFFFFFFFFFFFFFFFBCE6FAADA7179E84F3B9CAC2FC632551 , G : % Point { x : 0x6B17D1F2E12C4247F8BCE6E563A440F277037D812DEB33A0F4A13945D898C296 , y : 0x4FE342E2FE1A7F9B8EE7EB4A7C0F9E162BCE33576B315ECECBB6406837BF51F5 } } Parameters: compressed_pubkey [ binary ]: the public key to decode curve [ %Curve{} ]: the curve to use (or one of :prime256v1 , :secp256k1 for the two known curves supported by default) Returns: public_key [ %PublicKey{} ]: a struct containing the public point and the curve;","ref":"Tezex.Crypto.ECDSA.html#decode_public_key/2","title":"Tezex.Crypto.ECDSA.decode_public_key/2","type":"function"},{"doc":"Verifies a message signature based on a public key Parameters: message [ binary ]: message that was signed signature [ %Signature{} ]: signature associated with the message public_key [ %PublicKey{} ]: public key associated with the message signer options [ kw list ]: refines request :hashfunc [ fun/1 ]: hash function applied to the message. Default: fn msg -&gt; :crypto.hash(:sha256, msg) end Returns: verified [ bool ]: true if message, public key and signature are compatible, false otherwise","ref":"Tezex.Crypto.ECDSA.html#verify?/4","title":"Tezex.Crypto.ECDSA.verify?/4","type":"function"},{"doc":"Describes the elliptic curves supported by the package","ref":"Tezex.Crypto.KnownCurves.html","title":"Tezex.Crypto.KnownCurves","type":"module"},{"doc":"","ref":"Tezex.Crypto.KnownCurves.html#get_curve_by_name/1","title":"Tezex.Crypto.KnownCurves.get_curve_by_name/1","type":"function"},{"doc":"","ref":"Tezex.Crypto.KnownCurves.html#prime256v1/0","title":"Tezex.Crypto.KnownCurves.prime256v1/0","type":"function"},{"doc":"","ref":"Tezex.Crypto.KnownCurves.html#secp256k1/0","title":"Tezex.Crypto.KnownCurves.secp256k1/0","type":"function"},{"doc":"Holds point data. Is usually handled internally by the library and serves only as detailed information to the end-user. Parameters: :x [integer]: first point coordinate; :y [integer]: first point coordinate; :z [integer]: first point coordinate (used only in Jacobian coordinates);","ref":"Tezex.Crypto.Point.html","title":"Tezex.Crypto.Point","type":"module"},{"doc":"","ref":"Tezex.Crypto.Point.html#is_at_infinity?/1","title":"Tezex.Crypto.Point.is_at_infinity?/1","type":"function"},{"doc":"","ref":"Tezex.Crypto.Point.html#t:t/0","title":"Tezex.Crypto.Point.t/0","type":"type"},{"doc":"Holds public key data. Parameters: :point [%Point]: public key point data; :curve [%Curve]: public key curve information.","ref":"Tezex.Crypto.PublicKey.html","title":"Tezex.Crypto.PublicKey","type":"module"},{"doc":"","ref":"Tezex.Crypto.PublicKey.html#t:t/0","title":"Tezex.Crypto.PublicKey.t/0","type":"type"},{"doc":"Holds signature data. Parameters: :r [integer]: first signature number; :s [integer]: second signature number.","ref":"Tezex.Crypto.Signature.html","title":"Tezex.Crypto.Signature","type":"module"},{"doc":"","ref":"Tezex.Crypto.Signature.html#t:t/0","title":"Tezex.Crypto.Signature.t/0","type":"type"},{"doc":"Decode Micheline code.","ref":"Tezex.Micheline.html","title":"Tezex.Micheline","type":"module"},{"doc":"Parse a Micheline hex string, return a tuple {result, consumed} containing a list of Micheline objects as maps, and the number of bytes that was consumed in the process. Examples iex&gt; Tezex.Micheline . hex_to_micheline ( &quot;02000000210061010000000574657a6f730100000000010000000b63727970746f6e6f6d6963&quot; ) { [ %{ int : - 33 } , %{ string : &quot;tezos&quot; } , %{ string : &quot;&quot; } , %{ string : &quot;cryptonomic&quot; } ] , 76 } iex&gt; Tezex.Micheline . hex_to_micheline ( &quot;00e1d22c&quot; ) { %{ int : - 365729 } , 8 }","ref":"Tezex.Micheline.html#hex_to_micheline/1","title":"Tezex.Micheline.hex_to_micheline/1","type":"function"},{"doc":"","ref":"Tezex.Micheline.html#micheline_hex_to_string/1","title":"Tezex.Micheline.micheline_hex_to_string/1","type":"function"},{"doc":"Parse a single message from a Micheline packed message. Examples iex&gt; Tezex.Micheline . read_packed ( &quot;02000000210061010000000574657a6f730100000000010000000b63727970746f6e6f6d6963&quot; ) %{ int : 33 } iex&gt; Tezex.Micheline . read_packed ( &quot;0200e1d22c&quot; ) %{ int : - 365_729 }","ref":"Tezex.Micheline.html#read_packed/1","title":"Tezex.Micheline.read_packed/1","type":"function"},{"doc":"A Zarith number is an integer encoded as a variable length sequence of bytes. Each byte has a running unary size bit: the most significant bit of each byte tells if this is the last byte in the sequence (0) or if there is more to read (1) the second most significant bit of the first byte is reserved for the sign (positive if zero). Size and sign bits ignored, data is then the binary representation of the absolute value of the number in little endian order.","ref":"Tezex.Micheline.Zarith.html","title":"Tezex.Micheline.Zarith","type":"module"},{"doc":"Consumes a zarith-encoded integer. Takes a binary and returns the decoded integer in base 10 along with how many characters of the input binary were used to decode the integer.","ref":"Tezex.Micheline.Zarith.html#consume/1","title":"Tezex.Micheline.Zarith.consume/1","type":"function"},{"doc":"Decodes a zarith-encoded integer. Takes a binary and returns the integer in base 10. Examples iex&gt; Tezex.Micheline.Zarith . decode ( &quot;00a1d22c&quot; ) 365_729 iex&gt; Tezex.Micheline.Zarith . decode ( &quot;00e1d22c&quot; ) - 365_729","ref":"Tezex.Micheline.Zarith.html#decode/1","title":"Tezex.Micheline.Zarith.decode/1","type":"function"},{"doc":"Encodes an integer to a zarith-encoded binary. Takes an integer in base 10 and returns the encoded binary. Implementation based on anchorageoss/tezosprotocol (MIT License - Copyright (c) 2019 Anchor Labs, Inc.) Examples iex&gt; Tezex.Micheline.Zarith . encode ( 365_729 ) &quot;a1d22c&quot; iex&gt; Tezex.Micheline.Zarith . encode ( - 365_729 ) &quot;e1d22c&quot;","ref":"Tezex.Micheline.Zarith.html#encode/1","title":"Tezex.Micheline.Zarith.encode/1","type":"function"},{"doc":"A collection of utils to work with the Tezos blockchain using Elixir: parsing Micheline, verifying Tezos signed messages, deriving Tezos wallet addresses from public key, etc. Read the documentation on hexdocs . Since what this lib provides is so far limited to what we need at objkt.com , external contributions are most welcome. For instance if you need to sign messages or transactions, or translating Micheline to hex, we'd love to collaborate on a PR.","ref":"readme.html","title":"Tezex","type":"extras"},{"doc":"The package can be installed by adding tezex to your list of dependencies in mix.exs : def deps do [ { :tezex , &quot;~&gt; 1.0.0&quot; } ] end","ref":"readme.html#installation","title":"Tezex - Installation","type":"extras"},{"doc":"OTP24 or above, it needs an elixir version that uses OTP 24 or above, for instance elixir 1.14 . 3 - otp - 25 erlang 25.2 . 3 or elixir 1.13 . 3 - otp - 24 erlang 24.3 . 4","ref":"readme.html#requirements","title":"Tezex - Requirements","type":"extras"},{"doc":"$ mix test $ mix test.watch $ mix coveralls.html","ref":"readme.html#test","title":"Tezex - Test","type":"extras"},{"doc":"$ mix docs","ref":"readme.html#generate-documentation","title":"Tezex - Generate Documentation","type":"extras"}]